Name:           dgc
Version:        0.98
Release:        13%{?dist}
Summary:        Digital Gate Compiler

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://sourceforge.net/projects/dgc/
Source0:        http://shakthimaan.fedorapeople.org/SOURCES/%{version}/dgc-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel
BuildRequires:  autoconf

%description
DGC is a tool for the creation of digital netlists. DGC does an optimization
and technology mapping for an abstract description of boolean functions and
state machines. Output formats are EDIF, XNF and VHDL. 
Input formats are KISS, PLA and others.

%package devel
Summary:      Library for dgc package
Group:        Development/Libraries
Requires:     %{name} = %{version}-%{release}   

%description devel
The %{name}-devel package contains the shared library
for %{name} package.

%prep
%setup -q


%build
# Features : import of qfsm state machines.
autoconf -f -i
%configure --with-qfsm


%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}


%{__rm} -f `find %{buildroot} -name *.a`
%{__rm} -f `find %{buildroot} -name *.la`


%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS TODO ChangeLog tests
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_bindir}/dglc
%{_bindir}/dgsop
%{_bindir}/bms2kiss
%{_bindir}/bmsencode
%{_bindir}/bmsgen
%{_bindir}/edif2vhdl
%{_bindir}/xbm2pla
%{_bindir}/simfsm
%{_libdir}/libdgcencode.so.0
%{_libdir}/libdgcencode.so.0.0.0
%{_libdir}/libdgccube.so.0
%{_libdir}/libdgccube.so.0.0.0
%{_libdir}/libdgcgnet.so.0
%{_libdir}/libdgcgnet.so.0.0.0
%{_libdir}/libdgcutil.so.0
%{_libdir}/libdgcutil.so.0.0.0
%{_libdir}/libdgcsyl.so.0
%{_libdir}/libdgcsyl.so.0.0.0

%files devel
%defattr(-,root,root,-)
%{_libdir}/libdgcencode.so
%{_libdir}/libdgccube.so
%{_libdir}/libdgcgnet.so
%{_libdir}/libdgcutil.so
%{_libdir}/libdgcsyl.so

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.98-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 20 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject.org> - 0.98-8
- Use autoconf for ARM

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 21 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 0.98-3
- Moved TODO to base package.
- Summary updated to mention - Digital Gate Compiler.

* Tue Nov 18 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 0.98-2
- Updated URL to use sourceforge.

* Tue Nov 17 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 0.98-1
- Redone configure.ac and test examples.
- Changed Release number.
- Added -devel sub-package.

* Sat Oct 17 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 5.0-27.20070718snap
- Draft specification.
